import { z } from 'zod';
import { SharpOperations } from '.';
/**
 * The properties for the Sharp image transform middleware.
 */
export declare const SharpImageTransformSchema: z.ZodObject<{
    kmsKey: z.ZodOptional<z.ZodType<import("aws-cdk-lib/aws-kms").IKey, z.ZodTypeDef, import("aws-cdk-lib/aws-kms").IKey>>;
    vpc: z.ZodOptional<z.ZodType<import("aws-cdk-lib/aws-ec2").IVpc, z.ZodTypeDef, import("aws-cdk-lib/aws-ec2").IVpc>>;
    logRetention: z.ZodDefault<z.ZodType<import("aws-cdk-lib/aws-logs").RetentionDays, z.ZodTypeDef, import("aws-cdk-lib/aws-logs").RetentionDays>>;
    sources: z.ZodType<Set<import("@project-lakechain/core/middleware").Middleware>, z.ZodTypeDef, Set<import("@project-lakechain/core/middleware").Middleware>>;
    destinations: z.ZodType<Set<import("@project-lakechain/core/middleware").Middleware>, z.ZodTypeDef, Set<import("@project-lakechain/core/middleware").Middleware>>;
    conditionals: z.ZodMap<z.ZodString, z.ZodType<import("@project-lakechain/core").ConditionalStatement, z.ZodTypeDef, import("@project-lakechain/core").ConditionalStatement>>;
    computeType: z.ZodOptional<z.ZodDefault<z.ZodNativeEnum<typeof import("@project-lakechain/core").ComputeType>>>;
    maxRetry: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
    queueVisibilityTimeout: z.ZodOptional<z.ZodDefault<z.ZodType<import("aws-cdk-lib").Duration, z.ZodTypeDef, import("aws-cdk-lib").Duration>>>;
    batchingWindow: z.ZodOptional<z.ZodEffects<z.ZodType<import("aws-cdk-lib").Duration, z.ZodTypeDef, import("aws-cdk-lib").Duration>, import("aws-cdk-lib").Duration, import("aws-cdk-lib").Duration>>;
    batchSize: z.ZodOptional<z.ZodNumber>;
    cloudWatchInsights: z.ZodDefault<z.ZodBoolean>;
    cacheStorage: z.ZodType<import("@project-lakechain/core").CacheStorage, z.ZodTypeDef, import("@project-lakechain/core").CacheStorage>;
    maxMemorySize: z.ZodOptional<z.ZodNumber>;
    keyReusePeriod: z.ZodDefault<z.ZodType<import("aws-cdk-lib").Duration, z.ZodTypeDef, import("aws-cdk-lib").Duration>>;
    sharpTransforms: z.ZodType<SharpOperations, z.ZodTypeDef, SharpOperations>;
}, "strip", z.ZodTypeAny, {
    logRetention: import("aws-cdk-lib/aws-logs").RetentionDays;
    sources: Set<import("@project-lakechain/core/middleware").Middleware>;
    destinations: Set<import("@project-lakechain/core/middleware").Middleware>;
    conditionals: Map<string, import("@project-lakechain/core").ConditionalStatement>;
    cloudWatchInsights: boolean;
    cacheStorage: import("@project-lakechain/core").CacheStorage;
    keyReusePeriod: import("aws-cdk-lib").Duration;
    sharpTransforms: SharpOperations;
    kmsKey?: import("aws-cdk-lib/aws-kms").IKey | undefined;
    vpc?: import("aws-cdk-lib/aws-ec2").IVpc | undefined;
    computeType?: import("@project-lakechain/core").ComputeType | undefined;
    maxRetry?: number | undefined;
    queueVisibilityTimeout?: import("aws-cdk-lib").Duration | undefined;
    batchingWindow?: import("aws-cdk-lib").Duration | undefined;
    batchSize?: number | undefined;
    maxMemorySize?: number | undefined;
}, {
    sources: Set<import("@project-lakechain/core/middleware").Middleware>;
    destinations: Set<import("@project-lakechain/core/middleware").Middleware>;
    conditionals: Map<string, import("@project-lakechain/core").ConditionalStatement>;
    cacheStorage: import("@project-lakechain/core").CacheStorage;
    sharpTransforms: SharpOperations;
    kmsKey?: import("aws-cdk-lib/aws-kms").IKey | undefined;
    vpc?: import("aws-cdk-lib/aws-ec2").IVpc | undefined;
    logRetention?: import("aws-cdk-lib/aws-logs").RetentionDays | undefined;
    computeType?: import("@project-lakechain/core").ComputeType | undefined;
    maxRetry?: number | undefined;
    queueVisibilityTimeout?: import("aws-cdk-lib").Duration | undefined;
    batchingWindow?: import("aws-cdk-lib").Duration | undefined;
    batchSize?: number | undefined;
    cloudWatchInsights?: boolean | undefined;
    maxMemorySize?: number | undefined;
    keyReusePeriod?: import("aws-cdk-lib").Duration | undefined;
}>;
export type SharpImageTransformProps = z.infer<typeof SharpImageTransformSchema>;
